# custom macros
%define perldir  /perl5/site_perl/5.8.3/i386-linux-thread-multi

Summary		: Text::Iconv - Perl interface to iconv() codeset conversion function	
Name		: perl-Text-Iconv
Version		: 1.2
Release		: fc2
Group		: Development/Libraries
License		: Free Software, Redistributable
Vendor		: Open Webmail Project
URL  		: http://openwebmail.org
Packager	: Thomas Chung <tchung@openwebmail.org>
Source0		: Text-Iconv-1.2.tar.gz
BuildRoot	: %{_tmppath}/%{name}-buildroot

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification.  For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%prep
rm -rf %buildroot

#######################################################################
# setup macro
# -a num  : Only unpack source number after changing to the directory
# -b num  : Only unpack source number before changing to the directory
# -c      : Create directory before unpacking.
# -D      : Do not delete the directory before unpacking
# -n name : Name the directory as name
# -q      : Run quiety with minimum output
# -T      : Disable the automatic unpacking of the archives.
#######################################################################
%setup -n Text-Iconv-1.2 -q

%build
perl Makefile.PL
make

############################################
# {_sourcedir} : /usr/src/redhat/SOURCES
# {_builddir}  : /usr/src/redhat/BUILD
# {_tmppath}   : /var/tmp
# {_libdir}    : /usr/lib
# {_bindir}    : /usr/bin
# {_datadir}   : /usr/share
# {buildroot}
# {name}
# {version}
# {release}
# rpm --showrc for more info
###########################################3
%install
make install
install -d %buildroot%{_libdir}%{perldir}/auto/Text/Iconv
install -d %buildroot%{_libdir}%{perldir}/Text
install -d %buildroot%{_datadir}/man/man3
install -p -m644 blib/arch/auto/Text/Iconv/Iconv.bs %buildroot%{_libdir}%{perldir}/auto/Text/Iconv
install -p -m755 blib/arch/auto/Text/Iconv/Iconv.so %buildroot%{_libdir}%{perldir}/auto/Text/Iconv
install -p -m644 blib/lib/auto/Text/Iconv/autosplit.ix %buildroot%{_libdir}%{perldir}/auto/Text/Iconv
install -p -m644 blib/lib/Text/Iconv.pm %buildroot%{_libdir}%{perldir}/Text
install -p -m644 blib/man3/Text::Iconv.3pm %buildroot%{_datadir}/man/man3

%clean
rm -rf %buildroot
                                                                                                                        
%files
#####################################################
# defattr sets the default attributes for all files
#####################################################
%defattr(-,root,root)
%doc README Changes
%{_libdir}%{perldir}/Text/Iconv.pm
%{_libdir}%{perldir}/auto/Text/Iconv/Iconv.bs
%{_libdir}%{perldir}/auto/Text/Iconv/Iconv.so
%{_libdir}%{perldir}/auto/Text/Iconv/autosplit.ix
%{_datadir}/man/man3/Text::Iconv.3pm.gz

%changelog
* Mon Jul 26 2004 Thomas Chung <tchung@openwebmail.org> 1.2-fc2
- Rebuild for Fedora Core 2

* Sun Jan 11 2004 Thomas Chung <tchung@openwebmail.org> 1.2-fc1
- First RPM Build for Fedora Core 1
